# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXImportDX

Function

Imports data from a Data Explorer file.

Syntax
`
#include <dx/dx.h>
`

Object DXImportDX(char *filename, char **variable, int *start, int *end,
int *delta)

Functional Details

Imports data from a Data Explorer file specified by the `filename` parameter. The `variable` parameter specifies a `NULL`-terminated list of strings that identify which variables to import. This parameter identifies Objects in the file that have the names specified by `variable`. If more than one variable is specified, the Objects are collected together and a Group is returned.

For Series data, `*start, *end,` and `*delta` are used to control which indexed Series members are read in. If `start` is `NULL`, it defaults to the beginning of the series; if `end` is `NULL`, it defaults to the end of the series; if `delta` is `NULL`, it defaults to one.

For additional information on the Data Explorer file format, see Appendix B. "Importing Data: File Formats". in IBM Visualization Data Explorer User's Guide.

Return Value

Returns a pointer to the Object or returns `NULL` and sets an error code.

See Also

`DXImportHDF, DXImportNetCDF, DXImportHDF, DXImportCM, DXImportCDF`

"Data Explorer Format Files".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]